JGraph X 1.3.0.0

## com.mxgraph.analysis
Class mxConstantCostFunction

    java.lang.Object
      com.mxgraph.analysis.mxConstantCostFunction

All Implemented Interfaces:
  mxICostFunction

    public class mxConstantCostFunction

extends java.lang.Object
implements mxICostFunction

Implements a cost function for a constant cost per traversed cell.

Field Summary
`protected double` `cost`

Constructor Summary
`mxConstantCostFunction(double cost)`

Method Summary
`double` `getCost(mxCellState state)` Evaluates the cost of the given cell state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cost

    protected double cost

Constructor Detail

### mxConstantCostFunction

    public mxConstantCostFunction(double cost)

Parameters:
  `cost` -

Method Detail

### getCost

    public double getCost(mxCellState state)

  Description copied from interface: `mxICostFunction`
  Evaluates the cost of the given cell state.

  Specified by:
    `getCost` in interface `mxICostFunction`
  Parameters:
    `state` - The cell state to be evaluated
  Returns:
    Returns the cost to traverse the given cell state.

JGraph X 1.3.0.0

Copyright (c) 2008 Gaudenz Alder. All rights reserved.